import { QPQConfig, MatchStoryResult, EventMatchStoryActionProcessor, EventTransformEventParamsActionProcessor, EventTransformResponseResultActionProcessor, EventAutoRespondActionProcessor } from 'quidproquo-core';
import { HTTPEvent, HTTPEventResponse, HttpEventRouteParams, RouteOptions } from 'quidproquo-webserver';
import { APIGatewayEvent, Context, APIGatewayProxyResult } from 'aws-lambda';
export type HttpRouteMatchStoryResult = MatchStoryResult<HttpEventRouteParams, RouteOptions>;
export type ApiGatewayEventParams = [APIGatewayEvent, Context];
declare const _default: (qpqConfig: QPQConfig) => {
    "@quidproquo-core/event/TransformEventParams": EventTransformEventParamsActionProcessor<ApiGatewayEventParams, HTTPEvent<any>>;
    "@quidproquo-core/event/TransformResponseResult": EventTransformResponseResultActionProcessor<HTTPEventResponse<string>, HTTPEvent<string>, APIGatewayProxyResult>;
    "@quidproquo-core/event/AutoRespond": EventAutoRespondActionProcessor<HTTPEvent<any>, HttpRouteMatchStoryResult, HTTPEventResponse<string> | null>;
    "@quidproquo-core/event/MatchStory": EventMatchStoryActionProcessor<HTTPEvent<any>, HttpRouteMatchStoryResult>;
};
export default _default;
