import { QPQConfig, MatchStoryResult, EventMatchStoryActionProcessor, EventTransformEventParamsActionProcessor, EventTransformResponseResultActionProcessor, EventAutoRespondActionProcessor } from 'quidproquo-core';
import { WebsocketEvent } from 'quidproquo-webserver';
import { APIGatewayEventWebsocketRequestContextV2, APIGatewayProxyWebsocketEventV2WithRequestContext, Context } from 'aws-lambda';
type ApiGatwayEventWebsocketWithIdentity = APIGatewayProxyWebsocketEventV2WithRequestContext<APIGatewayEventWebsocketRequestContextV2 & {
    identity: {
        sourceIp: string;
        userAgent: string;
    };
}>;
type EventInput = [ApiGatwayEventWebsocketWithIdentity, Context];
type EventOutput = {
    statusCode: number;
};
type InternalEventInput = WebsocketEvent<string | Blob | ArrayBuffer>;
type MatchResult = MatchStoryResult<any, any>;
declare const _default: (qpqConfig: QPQConfig) => {
    "@quidproquo-core/event/TransformEventParams": EventTransformEventParamsActionProcessor<EventInput, InternalEventInput>;
    "@quidproquo-core/event/TransformResponseResult": EventTransformResponseResultActionProcessor<void, InternalEventInput, EventOutput>;
    "@quidproquo-core/event/AutoRespond": EventAutoRespondActionProcessor<InternalEventInput, MatchResult, boolean>;
    "@quidproquo-core/event/MatchStory": EventMatchStoryActionProcessor<InternalEventInput, MatchResult>;
};
export default _default;
