"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const quidproquo_core_1 = require("quidproquo-core");
const quidproquo_webserver_1 = require("quidproquo-webserver");
const awsNamingUtils_1 = require("../../../awsNamingUtils");
const invalidateCache_1 = require("../../../logic/cloudFront/invalidateCache");
const getExportedValue_1 = require("../../../logic/cloudformation/getExportedValue");
const getWebEntryInvalidteCacheActionProcessor = (qpqConfig) => {
    return ({ paths, webEntryName }) => __awaiter(void 0, void 0, void 0, function* () {
        const region = quidproquo_core_1.qpqCoreUtils.getApplicationModuleDeployRegion(qpqConfig);
        const distributionId = yield (0, getExportedValue_1.getExportedValue)((0, awsNamingUtils_1.getCFExportNameDistributionIdArnFromConfig)(webEntryName, qpqConfig), region);
        yield (0, invalidateCache_1.invalidateCache)(distributionId, region, paths);
        return (0, quidproquo_core_1.actionResult)(void 0);
    });
};
exports.default = (qpqConfig) => {
    return {
        [quidproquo_webserver_1.WebEntryActionType.InvalidateCache]: getWebEntryInvalidteCacheActionProcessor(qpqConfig),
    };
};
