"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAllItems = void 0;
const client_dynamodb_1 = require("@aws-sdk/client-dynamodb");
function getAllItems(tableName, region) {
    return __awaiter(this, void 0, void 0, function* () {
        const dynamoDBClient = new client_dynamodb_1.DynamoDBClient({ region });
        let records = [];
        let lastEvaluatedKey;
        do {
            const scanParams = {
                TableName: tableName,
                ExclusiveStartKey: lastEvaluatedKey,
            };
            try {
                const result = yield dynamoDBClient.send(new client_dynamodb_1.ScanCommand(scanParams));
                records = records.concat(result.Items);
                lastEvaluatedKey = result.LastEvaluatedKey;
            }
            catch (error) {
                console.error('Error scanning DynamoDB table:', error);
                throw error;
            }
        } while (lastEvaluatedKey);
        return records;
    });
}
exports.getAllItems = getAllItems;
