"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDynamoTableIndexByConfigAndQuery = void 0;
const buildDynamoQuery_1 = require("./buildDynamoQuery");
const getDynamoTableIndexByConfigAndQuery = (setting, query) => {
    // Function to extract keys from a query
    const extractKeysFromQuery = (query) => {
        if ((0, buildDynamoQuery_1.isKvsQueryCondition)(query)) {
            return [query.key];
        }
        else if ((0, buildDynamoQuery_1.isKvsLogicalOperator)(query)) {
            return query.conditions.flatMap(extractKeysFromQuery);
        }
        return [];
    };
    const queriedKeys = extractKeysFromQuery(query);
    // Find a matching index
    for (const index of setting.indexes) {
        if (queriedKeys.includes(index.partitionKey.key)) {
            return index.partitionKey.key;
        }
    }
    // No matching index found
    return undefined;
};
exports.getDynamoTableIndexByConfigAndQuery = getDynamoTableIndexByConfigAndQuery;
